Subject: SSHD, NT, /dev/tty1 error
From: [email-masked] (Brian Burgin)

15 Jan 1999 06:19:29 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

After two days of work, I've got sshd to authorize my password. :)
        log: Password authentication for brian accepted.

For the next few lines of output, sshd does some other things
but I'm not sure if they are correct or not.
        debug: Allocating pty.
        debug: Forking shell.
        debug: Entering interactive session.
        debug: Received SIGCHLD.
        debug: End of interactive session; stdin 0, stdout (read 219,
sent 219), stderr
        0 bytes.
        debug: pty_cleanup_proc called

The next lines I know are failure cases:
        debug: chown /dev/tty1 0 0 failed: No such file or directory
        debug: chmod /dev/tty1 0666 failed: No such file or directory

For these two lines, I believe sshd is trying to talk to tty1 which
doesn't exist.
My guess is that it thinks tty1 is a spawned shell.
Now while it has said previously that it has forked the shell,
I'm not sure if it actually succeeded in this or not.
Further, the interactive session seems to have opened then closed almost

immeadiately.

Please help - What am I doing wrong here????
I've exhausted all other methods - yes even good old trial & error.
I've looked through the archives and couldn't find a solution that
worked for me.

I'm running Cygwin-b20 and other latest files.
Here are my outputs (I've scrubbed the ip's & the password):

NT workstation machine
----------------------------------
Running sshd:
bash-2.02$ sshd1 -d
debug: sshd version 1.2.26 [i586-pc-cygwin32]
debug: Initializing random number generator; seed file
/etc/ssh_random_seed
log: Server listening on port 22.
log: Generating 768 bit RSA key.
Generating p:  ..........................................++ (distance
616)
Generating q:  ........++ (distance 86)
The primes are too close together.
Generating q:  ..................++ (distance 268)
Computing the keys...
Testing the keys...
Key generation complete.
log: RSA key generation complete.
debug: Server will not fork when running in debugging mode.
log: Connection from 123.123.123.123 port 1262
debug: Client protocol version 1.5; client software version 1.2.26
debug: Sent 768 bit public key and 1024 bit host key.
debug: Encryption type: idea
debug: Received session key; encryption turned on.
debug: Installing crc compensation attack detector.
debug: Attempting authentication for brian.
log: Password authentication for brian accepted.
debug: Allocating pty.
debug: Forking shell.
debug: Entering interactive session.
debug: Received SIGCHLD.
debug: End of interactive session; stdin 0, stdout (read 219, sent 219),
stderr
0 bytes.
debug: pty_cleanup_proc called
debug: chown /dev/tty1 0 0 failed: No such file or directory
debug: chmod /dev/tty1 0666 failed: No such file or directory
debug: Command exited with status 1.
debug: Received exit confirmation.
log: Closing connection to 123.123.123.123
bash-2.02$

Output from export command:
bash-2.02$ export
declare -x !C:="C:\\WINNT\\Profiles\\Administrator\\Desktop"
declare -x COMPUTERNAME="ECLIPSE"
declare -x COMSPEC="C:\\WINNT\\system32\\cmd.exe"
declare -x CYGWIN="tty"
declare -x CYGWIN32="tty"
declare -x CYGWIN_BINMODE="1"
declare -x CYGWIN_GLOB="1"
declare -x CYGWIN_STRIP_TITLE="1"
declare -x CYGWIN_TITLE="1"
declare -x CYGWIN_TTY="1"
declare -x HOME="/"
declare -x HOMEDRIVE="C:"
declare -x HOMEPATH="\\"
declare -x HOSTNAME="ECLIPSE"
declare -x HOSTTYPE="i586"
declare -x LOGONSERVER="\\\\ECLIPSE"
declare -x MACHTYPE="i586-pc-cygwin32"
declare -x MAKE_MODE="UNIX"
declare -x NUMBER_OF_PROCESSORS="1"
declare -x OS="Windows_NT"
declare -x OS2LIBPATH="C:\\WINNT\\system32\\os2\\dll;"
declare -x OSTYPE="cygwin32"
declare -x
PATH="//e/CYGNUS/CYGWIN~1/H-I586~1/BIN://e/CYGNUS/CYGWIN~1/H-I586~1/
sr/x11r6.4/BIN:/c/WINNT/system32:/c/WINNT"
declare -x PATHEXT=".COM;.EXE;.BAT;.CMD;.VBS;.JS"
declare -x PDCSERVER="\\\\ECLIPSE"
declare -x PROCESSOR_ARCHITECTURE="x86"
declare -x PROCESSOR_IDENTIFIER="x86 Family 5 Model 2 Stepping 6,
GenuineIntel"
declare -x PROCESSOR_LEVEL="5"
declare -x PROCESSOR_REVISION="0206"
declare -x PROMPT="\$P\$G"
declare -x PWD="/"
declare -x SHELL="/bin/bash"
declare -x SHLVL="1"
declare -x SYSTEMDRIVE="C:"
declare -x SYSTEMROOT="C:\\WINNT"
declare -x TEMP="C:\\TEMP"
declare -x TERM="linux"
declare -x TMP="C:\\TEMP"
declare -x USER="Brian"
declare -x USERDOMAIN="ECLIPSE"
declare -x USERNAME="Brian"
declare -x USERPROFILE="C:\\WINNT\\Profiles\\Administrator"
declare -x WINDIR="C:\\WINNT"
bash-2.02$

Windows 95 client machine
--------------------------------------------------
Running ssh:
BASH.EXE-2.02$ ssh1 -x -v eclipse
SSH Version 1.2.26 [i586-pc-cygwin32], protocol version 1.5.
Standard version.  Does not use RSAREF.
jawa.dorm.utexas.edu: ssh_connect: getuid 500 geteuid 500 anon 1
jawa.dorm.utexas.edu: Connecting to eclipse [123.123.123.123] port 22.
jawa.dorm.utexas.edu: Connection established.
setsockopt IPTOS_LOWDELAY: This option is unsupported
Could not create directory '//.ssh'.
jawa.dorm.utexas.edu: Remote protocol version 1.5, remote software
version 1.2.2
6
jawa.dorm.utexas.edu: Waiting for server public key.
jawa.dorm.utexas.edu: Received server public key (768 bits) and host key
(1024 b
its).
jawa.dorm.utexas.edu: Host 'eclipse' is known and matches the host key.
Creating random seed file ~/.ssh/random_seed.  This may take a while.
w: not found
jawa.dorm.utexas.edu: Encryption type: idea
jawa.dorm.utexas.edu: Sent encrypted session key.
jawa.dorm.utexas.edu: Installing crc compensation attack detector.
jawa.dorm.utexas.edu: Received encrypted confirmation.
jawa.dorm.utexas.edu: Doing password authentication.
brian@eclipse's password:

jawa.dorm.utexas.edu: Requesting pty.
setsockopt IPTOS_LOWDELAY: This option is unsupported
jawa.dorm.utexas.edu: Requesting shell.
jawa.dorm.utexas.edu: Entering interactive session.
Environment:
  HOME=/
  USER=Brian
  LOGNAME=Brian
  SHELL=/bin/bash
  SSH_CLIENT=123.123.123.123 1285 22
  SSH_TTY=1
  TERM=linux
  CYGWIN32=tty
  CYGWIN_TTY=1

: No such file or directory
Connection to eclipse closed.
jawa.dorm.utexas.edu: Transferred: stdin 0, stdout 219, stderr 31 bytes
in 5.4 s
econds
jawa.dorm.utexas.edu: Bytes per second: stdin 0.0, stdout 40.6, stderr
5.8
jawa.dorm.utexas.edu: Exit status 1
BASH.EXE-2.02$

Also, here's the sshd_config file from the NT machine:
X11Forwarding no
KerberosTgtPassing no
KerberosAuthentication no
KerberosOrLocalPasswd yes
RSAAuthentication no
RhostsRSAAuthentication no
IgnoreRhosts yes

Please reply if you need any other outputs.
Thank you.

Sincerely,
Brian Burgin
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".